AOS.init();

gsap.config({
  nullTargetWarn: false,
});

var abtn = $('#add-to-top');

$(window).scroll(function () {
  if ($(window).scrollTop() > 300) {
    abtn.addClass('show');
  } else {
    abtn.removeClass('show');
  }
});

abtn.on('click', function (e) {
  e.preventDefault();
  $('html, body').animate({
    scrollTop: 0
  }, '300');
});

// Smooth Scroll
gsap.registerPlugin(ScrollTrigger, ScrollSmoother);

ScrollTrigger.normalizeScroll(true);

// Sticky Header 

$(window).scroll(function () {
  var sticky = $('.main-header'),
    scroll = $(window).scrollTop();

  if (scroll >= 100) sticky.addClass('fixed');
  else sticky.removeClass('fixed');
});

// End Sticky Header 

// Cursor pointer
/////////////////////////////////////////////////////


function mousemoveHandler(e) {
  try {
    const target = e.target;

    let tl = gsap.timeline({
      defaults: {
        x: e.clientX,
        y: e.clientY,
      }
    })
    let t2 = gsap.timeline({
      defaults: {
        x: e.clientX,
        y: e.clientY,
      }
    })


    // Main Cursor Moving 
    tl.to(".cursor1", {
      ease: "power2.out"
    })
      .to(".cursor2", {
        ease: "power2.out"
      }, "-=0.4")

  } catch (error) {
    console.log(error)
  }

}
document.addEventListener("mousemove", mousemoveHandler);


gsap.registerPlugin(ScrollTrigger);
let testimonialSection = document.querySelector('.aboutWrapper');
let testimonailWrapper = document.querySelector('.aboutMain');

if (testimonialSection) {
    let horizontalTl = gsap.timeline({
        scrollTrigger: {
            trigger: testimonialSection,
            pin: true,
            scrub: 2,
            // marker: true,
            // pinSpacing: true,
            end: "bottom top"
        }
    });

    horizontalTl
        .to(testimonailWrapper, {
            xPercent: 0,
            yPercent: () => -90,
            ease: "none",
            duration: 1
        }, "<")
}



gsap.registerPlugin(ScrollTrigger);

let sections = gsap.utils.toArray(".wcu-slide");

if (sections.length != '0') {
  gsap.to(sections, {
    xPercent: -100 * (sections.length - 1),
    ease: "none",
    scrollTrigger: {
      trigger: ".custom-app",
      pin: true,
      scrub: 1,
      // snap: 1 / (sections.length - 1),
      end: () => "+=" + document.querySelector(".custom-app").offsetWidth
    }
  });
}

let char_come = document.querySelectorAll(".title-animation-1")
char_come.forEach((char_come) => {
  let split_char = new SplitText(char_come, { type: "chars, words" })
  gsap.from(split_char.chars, { duration: 1, x: 70, autoAlpha: 0, stagger: 0.05 });
})


let skewSetter = gsap.quickTo(".portfolio-item-2 .portfolio-item-inner", "skewY"),
  clamp = gsap.utils.clamp(-15, 15);
const smoother = ScrollSmoother.create({
  smooth: 1,
  effects: device_width < 100 ? false : true,
  smoothTouch: false,
  normalizeScroll: false,
  ignoreMobileResize: true,
  onUpdate: self => skewSetter(clamp(self.getVelocity() / -80)),
  onStop: () => skewSetter(0)
});






$(document).ready(function () {
  $('#accordionExample').on('show.bs.collapse', function (e) {
    $(e.target).prev('.card-header').find('i').removeClass(' fa-arrow-right').addClass('fa-arrow-left');
  }).on('hide.bs.collapse', function (e) {
    $(e.target).prev('.card-header').find('i').removeClass('fa-arrow-left').addClass('fa-arrow-right');
  });
});

var swiper = new Swiper(".mySwiper", {
  scrollbar: {
    el: ".swiper-scrollbar",
    hide: true,
  },
});





// gsap.registerPlugin(ScrollTrigger);

// // Animate the .aboutMain items one by one
// let testimonialSection = document.querySelector('.about-section');
// let testimonailWrapper = document.querySelector('.aboutMain');

// if (testimonialSection) {
//     let horizontalTl = gsap.timeline({
//         scrollTrigger: {
//             trigger: testimonialSection,
//             pin: true,
//             scrub: 1,
//             // marker: true,
//             // pinSpacing: true,
//             end: "bottom top"
//         }
//     });

//     horizontalTl
//         .to(testimonailWrapper, {
//             xPercent: 0,
//             yPercent: () => -70,
//             ease: "none",
//             duration: 1
//         }, "<")
// }



